# osgUtil::Optimizer::CopySharedSubgraphsVisitor Class Reference

Copy any shared subgraphs, enabling flattening of static transforms. More...

Inheritance diagram for osgUtil::Optimizer::CopySharedSubgraphsVisitor:

[legend]
List of all members.

## Public Types

typedef std::set< osg::Node * > | SharedNodeList

## Public Member Functions

| CopySharedSubgraphsVisitor (Optimizer *optimizer=0)
virtual void | apply (osg::Node &node)
void | copySharedNodes ()
bool | isOperationPermissibleForObject (const osg::Object *object) const

## Public Attributes

SharedNodeList | _sharedNodeList
Optimizer * | _optimizer

## Detailed Description

Copy any shared subgraphs, enabling flattening of static transforms.

## Member Typedef Documentation

typedef std::set<osg::Node*> osgUtil::Optimizer::CopySharedSubgraphsVisitor::SharedNodeList

## Constructor & Destructor Documentation

osgUtil::Optimizer::CopySharedSubgraphsVisitor::CopySharedSubgraphsVisitor | ( | Optimizer * | optimizer = `0` | ) | `[inline]`

## Member Function Documentation

void Optimizer::CopySharedSubgraphsVisitor::apply | ( | osg::Node & | node | ) | `[virtual]`

void Optimizer::CopySharedSubgraphsVisitor::copySharedNodes | ( |  | ) |

bool osgUtil::Optimizer::CopySharedSubgraphsVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

## Member Data Documentation

Optimizer* osgUtil::Optimizer::CopySharedSubgraphsVisitor::_optimizer

SharedNodeList osgUtil::Optimizer::CopySharedSubgraphsVisitor::_sharedNodeList

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp